#!/usr/bin/env bash

set -e

# optional env variable override
if [ -n "$SYSREPOCFG_EXECUTABLE" ]; then
    SYSREPOCFG="$SYSREPOCFG_EXECUTABLE"
# avoid problems with sudo PATH
elif [ `id -u` -eq 0 ]; then
    SYSREPOCFG=`su -c 'which sysrepocfg' -l $USER`
else
    SYSREPOCFG=`which sysrepocfg`
fi

SERVER_CONFIG=`$SYSREPOCFG -d startup -X -x "/ietf-netconf-server:netconf-server/listen/endpoint[1]/name | /ietf-netconf-server:netconf-server/call-home/netconf-client[1]/name"`
if [ -n "$SERVER_CONFIG" ]; then
    echo "ietf-netconf-server with listen or call-home already present"
    exit 0
fi

echo "Configuring default SSH listen address"
/usr/libexec/netopeer2/merge_hostkey.sh
echo "Generating the SSH host key"
/usr/libexec/netopeer2/merge_config.sh
